# -*- coding: utf-8 -*-


def migrate(cr, version):
    cr.execute(
        r"""
            update res_users
               set login = split_part(login, '@', 1) || '+portal0@odoo.com'
             where share
               and login ~ '^.{2,4}\+portal@odoo.com$'
        """
    )
    cr.execute(
        """
            update res_users
               set login = split_part(login, '@', 1) || '+portal@odoo.com'
             where share
               and login ~ '^.{2,4}@odoo.com$'
        """
    )
    cr.execute(
        """
            update res_users
               set login = login || '@odoo.com'
             where not share
               and login ~ '^.{2,4}$'
               and login != 'tpl' -- do not change the template user
        """
    )
